Bug 1996881 - oc adm catalog mirror does not print sqlite deprecation warnings
Summary: oc adm catalog mirror does not print sqlite deprecation warnings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.9
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.9.0
Assignee: Joe Lanford
QA Contact: xzha
URL:
Whiteboard:
Depends On: 1845414
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-23 21:34 UTC by Joe Lanford
Modified: 2021-10-18 17:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:48:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift oc pull 908 0 None None None 2021-08-24 14:43:19 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:48:37 UTC

Comment 4 xzha 2021-09-03 11:32:39 UTC
verify
zhaoxia@xzha-mac openshift-client-mac-4.9.0-0.nightly-2021-09-01-193941 % oc version
Client Version: 4.9.0-0.nightly-2021-09-01-193941

zhaoxia@xzha-mac openshift-client-mac-4.9.0-0.nightly-2021-09-01-193941 % oc adm catalog mirror quay.io/openshift-community-operators/catalog:4.6 example.com --dry-run 

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!! DEPRECATION NOTICE:
!!   Sqlite-based catalogs are deprecated. Support for them will be removed in a
!!   future release. Please migrate your catalog workflows to the new file-based
!!   catalog format.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

src image has index label for database path: /database/index.db
using index path mapping: /database/index.db:/var/folders/0v/h_vdggrj5xlglg9r709mj3v40000gn/T/546228847


....

LGTM, verified.

Comment 7 errata-xmlrpc 2021-10-18 17:48:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.